%define major 24
%define libname %mklibname %{name} %{major}
%define cmajor 1
%define libc %mklibname %{name}c %{cmajor}
%define kvmajor 10
%define libkv %mklibname kvutils %{kvmajor}
%define develname %mklibname %{name} -d

Summary:	COMMANDLINE Sound processing, multitrack recording, and mixing tools
Name:		ecasound
Version:	2.9.3
Release: 	%mkrel 1
License: 	GPLv2+
Group: 		Sound
URL: 		http://www.eca.cx/ecasound/
Source0: 	http://ecasound.seul.org/download/%{name}-%{version}.tar.xz
Patch0:		ecasound-2.9.1-shared.patch
Patch1:		ecasound-shellbang_fix.diff
Patch2:		ecasound-linkage_fix.diff
Patch3:		ecaound-2.6.0-link-pyecasound.patch
BuildRequires:  autoconf
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(python)
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(liboil-0.3)
BuildRequires:	pkgconfig(liblo)
BuildRequires:	pkgconfig(lilv-0)
BuildRequires:	ruby
BuildRequires:	ruby-devel
BuildRequires:	multiarch-utils >= 1.0.3

%define python_compile_opt python -O -c "import compileall; compileall.compile_dir('.')"
%define python_compile     python -c "import compileall; compileall.compile_dir('.')"

%description
Ecasound is a commandline software package designed for multitrack
audio processing. It can be used for simple tasks like
audio playback, recording and format conversions, as
well as for multitrack effect processing, mixing,
recording and signal recycling. Ecasound supports a
wide range of audio inputs, outputs and effect
algorithms. Effects and audio objects can be combined
in various ways, and their parameters can be
controlled by operator objects like oscillators and
MIDI-CCs. A versatile console mode user-interface is
included in the package.

%package -n	%{libname}
Summary: 	Shared libraries for Ecasound
Group: 		System/Libraries


%description -n	%{libname}
Ecasound is a commandline software package designed for multitrack
audio processing. It can be used for simple tasks like
audio playback, recording and format conversions, as
well as for multitrack effect processing, mixing,
recording and signal recycling. Ecasound supports a
wide range of audio inputs, outputs and effect
algorithms. Effects and audio objects can be combined
in various ways, and their parameters can be
controlled by operator objects like oscillators and
MIDI-CCs. A versatile console mode user-interface is
included in the package.

This package contains the shared Ecasound libraries.


%package -n	python-ecasound
Summary: 	Python bindings to ecasound control interface
Group: 		Development/Python
Requires: 	ecasound
Obsoletes:  pyecasound
Provides:   pyecasound

%description -n	python-ecasound
Python bindings to Ecasound Control Interface (ECI).

%package -n	ruby-ecasound
Summary:        Ruby bindings to ecasound control interface
Group:          Development/Ruby
Requires:       ecasound
Obsoletes:      rubyecasound
Provides:       rubyecasound

%description -n	ruby-ecasound
Ruby bindings to Ecasound Control Interface (ECI).

%package -n	%{develname}
Summary: 	Ecasound - development files
Group: 		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The ecasound-devel package contains the header files and static
libraries necessary for building apps like ecawave and
ecamegapedal that directly link against ecasound libraries.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
###%patch3 -p1

%build
autoreconf -fiv

%configure2_5x \
    --disable-static \
    --enable-liboil \
    --enable-pyecasound \
    --with-python-modules=%{py_platlibdir} \
    --disable-dependency-tracking \
    --enable-sys-readline
%make_build

%install
%make_install ECA_S_RUBY_SITEDIR="%{ruby_vendorlibdir}"

find %{buildroot} -name '*.la' -delete

%multiarch_binaries %{buildroot}%{_bindir}/libecasound-config
%multiarch_binaries %{buildroot}%{_bindir}/libecasoundc-config


%files
%{_bindir}/eca*
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man5/*

%files -n python-ecasound
%{py_platsitedir}/*.py*

%files -n ruby-ecasound
#%{ruby_vendorlibdir}/*.rb

%files -n %{libname}
%{_libdir}/libecasound.so.%{major}*
%{_libdir}/libecasoundc.so.%{cmajor}*
%{_libdir}/libkvutils.so.%{kvmajor}*

%files -n %{develname}
%multiarch %{multiarch_bindir}/libecasound-config
%multiarch %{multiarch_bindir}/libecasoundc-config
%{_bindir}/libecasound-config
%{_bindir}/libecasoundc-config
%{_includedir}/kvutils/*.h
%{_includedir}/libecasound/*.h
%{_includedir}/libecasoundc/*.h
%{_libdir}/*.so


%changelog
* Thu Oct 14 2021 onkelho <oh.quait at gmail.com> - 2.9.3-1pclos2021
- last release

* Fri Nov 28 2020 tex - 2.9.1-2pclos2020
- remove menu entries

* Sat Sep 13 2019 tex - 2.9.1-1pclos2019
- update
